package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户站点考勤
 * </p>
 *
 * @author wh
 * @since 2022-12-07
 */
@TableName("user_district_attendance")
@ApiModel(value="UserDistrictAttendance对象", description="用户站点考勤")
public class UserDistrictAttendance extends Model<UserDistrictAttendance> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态(0:启用:1:删除)")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "用户id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "站点")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "考勤状态:0:上班;1:下班;2:请假;3休息")
    @TableField("work_status")
    private Integer workStatus;

    @ApiModelProperty(value = "工作中状态:0:作业;1:转场;2:空闲;3:休息")
    @TableField("work_at_status")
    private Integer workAtStatus;

    @ApiModelProperty(value = "上班时间")
    @TableField("on_time")
    private String onTime;

    @ApiModelProperty(value = "下班时间")
    @TableField("off_time")
    private String offTime;

    @ApiModelProperty(value = "下一次下班时间")
    @TableField("next_off_time")
    private Date nextOffTime;

    @ApiModelProperty(value = "是否可以上班打卡状态0:否;1:是")
    @TableField("on_work_status")
    private Integer onWorkStatus;

    @ApiModelProperty(value = "跨天标识0:否;1:是")
    @TableField("cross_day")
    private Integer crossDay;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Integer getWorkStatus() {
        return workStatus;
    }

    public void setWorkStatus(Integer workStatus) {
        this.workStatus = workStatus;
    }

    public Integer getWorkAtStatus() {
        return workAtStatus;
    }

    public void setWorkAtStatus(Integer workAtStatus) {
        this.workAtStatus = workAtStatus;
    }

    public String getOnTime() {
        return onTime;
    }

    public void setOnTime(String onTime) {
        this.onTime = onTime;
    }

    public String getOffTime() {
        return offTime;
    }

    public void setOffTime(String offTime) {
        this.offTime = offTime;
    }

    public Date getNextOffTime() {
        return nextOffTime;
    }

    public void setNextOffTime(Date nextOffTime) {
        this.nextOffTime = nextOffTime;
    }

    public Integer getOnWorkStatus() {
        return onWorkStatus;
    }

    public void setOnWorkStatus(Integer onWorkStatus) {
        this.onWorkStatus = onWorkStatus;
    }

    public Integer getCrossDay() {
        return crossDay;
    }

    public void setCrossDay(Integer crossDay) {
        this.crossDay = crossDay;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "UserDistrictAttendance{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", userId=" + userId +
        ", districtId=" + districtId +
        ", workStatus=" + workStatus +
        ", workAtStatus=" + workAtStatus +
        ", onTime=" + onTime +
        ", offTime=" + offTime +
        ", nextOffTime=" + nextOffTime +
        ", onWorkStatus=" + onWorkStatus +
        ", crossDay=" + crossDay +
        "}";
    }
}
